# TMF 公共模块

## Validators(Model验证)

- mobile_phone (验证手机号)

## Publisher/Subscriber (消息订阅)
使用场景：统计登录失败的频率，统计某个页面的访问

使用方法：

定义一个消息发布器Publisher

    class AccountEvent
        include TmfCommon::Publisher
        self.publisher_namespace = 'account'
    end

定义一个消息订阅器Subscriber

    class AccountEventSubscriber < TmfCommon::Subscriber
        self.attach_to 'account'
        def login(event)
            puts "#{event.payload[:user]} login at #{event.payload[:time]}"
        end
    end

开始发送消息：

    [7] pry(main)> AccountEvent.broadcast_event 'login', user: 'xiaohui', time: Time.now
    xiaohui login at 2017-03-13 17:12:57 +0800
    => nil

